Loading...
Searching...
No Matches
type_def.h File Reference
`#include "platform.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::type_def< TIdType, TValue >

## Namespaces

namespace | etl

## Macros

#define | ETL_TYPEDEF(T, name)
#define | ETL_USING(name, T)
#define | ETL_TYPE_DEF_RETURN(T, TValue, ReturnType)

## Macro Definition Documentation

## ETL_TYPE_DEF_RETURN

#define ETL_TYPE_DEF_RETURN | ( |  | T,
|  |  | TValue,
|  |  | ReturnType )

Value:
ReturnType

## ETL_TYPEDEF

#define ETL_TYPEDEF | ( |  | T,
|  |  | name )

Value:
class name##_tag; \
typedef etl::type_def<name##_tag, T> name
etl::type_def
Definition type_def.h:68

## ETL_USING

#define ETL_USING | ( |  | name,
|  |  | T )

Value:
class name##_tag; \
typedef etl::type_def<name##_tag, T> name